﻿Client-side setup

@section head {
<script src="https://cdn.jsdelivr.net/npm/signalr@2.4.0/jquery.signalR.min.js"></script>
}

<script type="text/javascript">

const signalRConnection = new signalR.HubConnectionBuilder()
                                    .WithUrl('/notifications')
                                    .build();

signalRConnection.on('ClientMessageHandler',(sender,jssMessage)=>{
    // logic to handle received message
    // use signalRConnection.send to send messages back to server
})

signalRConnection.start()
                .then(_=>console.log('Signal R: ready'))
                .catch(console.error);

</script>